IF  NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GLB_TBL_IBS_CBS_CST]') AND type in (N'U'))
begin   
	  
	CREATE TABLE [dbo].[GLB_TBL_IBS_CBS_CST](
	    [CD_TRIB] [int]  NOT NULL,
		[CD_TRIB_CST] VARCHAR(3) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
		[DS_TRIB_CST]  VARCHAR(200) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
	   
	 CONSTRAINT [PK_GLB_TBL_IBS_CBS_CST] PRIMARY KEY CLUSTERED 
	(
		 [CD_TRIB] ASC,
		 [CD_TRIB_CST]
	) )
 
END
GO


CREATE TABLE #GLB_TBL_IBS_CBS_CST (
	[CD_TRIB] [int],
	[CD_TRIB_CST] VARCHAR(3) COLLATE SQL_Latin1_General_CP1_CI_AS,
	[DS_TRIB_CST]  VARCHAR(200) COLLATE SQL_Latin1_General_CP1_CI_AS
)

INSERT INTO #GLB_TBL_IBS_CBS_CST 
VALUES (1,'000'	,'Tributação integral')
,(2,'010'	,'Tributação com alíquotas uniformes – operações setor financeiro')
,(3,'011'	,'Tributação com alíquotas uniformes reduzidas em 60%')
,(4,'011'	,'Tributação com alíquotas uniformes reduzidas em 30%')
,(5,'200'	,'Alíquota zero')
,(6,'200'	,'Alíquota zero apenas CBS e reduzida em 60% para IBS')
,(7,'200'	,'Alíquota reduzida em 80%')
,(8,'200'	,'Alíquota reduzida em 70%')
,(9,'200'	,'Alíquota reduzida em 60%')
,(10,'200' ,'Alíquota reduzida em 50%') 
,(11,'200' ,'Alíquota reduzida em 40%')
,(12,'200' ,'Alíquota reduzida em 30%')
,(13,'220' ,'Alíquota fixa')
,(14,'221' ,'Alíquota fixa proporcional') 
,(15,'222' ,'Redução de base de cálculo')
,(16,'400' ,'Isenção')
,(17,'410' ,'Imunidade e não incidência')
,(18,'510' ,'Diferimento')
,(19,'515' ,'Diferimento com redução de alíquota')
,(20,'550' ,'Suspensão')
,(21,'620' ,'Tributação monofásica')
,(22,'800' ,'Transferência de crédito')
,(23,'810' ,'Ajustes de IBS na ZFM')
,(24,'811' ,'Ajustes')
,(25,'820' ,'Tributação em declaração de regime específico')
,(26,'830' ,'Exclusão de base de cálculo')


INSERT INTO GLB_TBL_IBS_CBS_CST
SELECT *
FROM #GLB_TBL_IBS_CBS_CST T
WHERE NOT EXISTS (SELECT 1
				  FROM GLB_TBL_IBS_CBS_CST O
				  WHERE T.CD_TRIB = O.CD_TRIB
				  AND T.CD_TRIB_CST = O.CD_TRIB_CST)

DROP TABLE #GLB_TBL_IBS_CBS_CST;